<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough">
<h:head>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

	<title>Cadastro de Usuário</title>


	<meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0' name='viewport' />
    <meta name="viewport" content="width=device-width" />

<!-- 	<link href="#{request.contextPath}/resources/css/animate.min.css" rel="stylesheet"/> -->
     <!-- Bootstrap core CSS     -->
    <link href="#{request.contextPath}/resources/css/bootstrap.min.css" rel="stylesheet" />

    <!--  Paper Dashboard core CSS    -->
    <link href="#{request.contextPath}/resources/css/paper-dashboard.css" rel="stylesheet"/>



    <!--  Fonts and icons     -->
    <link href="http://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" rel="stylesheet"/>
    <link href='https://fonts.googleapis.com/css?family=Muli:400,300' rel='stylesheet' type='text/css'/>
    <link href="#{request.contextPath}/resources/css/themify-icons.css" rel="stylesheet"/>
</h:head>

<h:body>
    <nav class="navbar navbar-transparent navbar-absolute">
	    <div class="container">
	        <div class="navbar-header">
	            <button type="button" class="navbar-toggle navbar-toggle-black" data-toggle="collapse" data-target="#navigation-example-2">
	                <span class="sr-only">Toggle navigation</span>
	                <span class="icon-bar "></span>
	                <span class="icon-bar "></span>
	                <span class="icon-bar"></span>
	            </button>
	        </div>
	        <div class="collapse navbar-collapse">
	            <ul class="nav navbar-nav navbar-right">
	                <li>
		                <h:link outcome="inicio" styleClass="btn">
	                        <p>Início</p>
	            		</h:link>	                   
	                </li>
	            </ul>
	        </div>
	    </div>
	</nav>

	<div class="wrapper wrapper-full-page">    	
    	<div class="register-page">
		<!--   you can change the color of the filter page using: data-color="blue | azure | green | orange | red | purple" -->
        	<div class="content">
            	<div class="container">
                	<div class="row">
                    	<div class="col-md-8 col-md-offset-2">
                    		<h:messages id="messages" showSummary="true" showDetail="true"/>
                        	<div class="header-text">
                            	<h2>Ecompras.me</h2>
                            	<h4>Cadastre-se grátis e contribua para localizar sempre o melhor preço.</h4>
                            	<hr/>
                        	</div>
                    	</div>
                    	<div class="col-md-4 col-md-offset-2">
                        	<div class="media">
                            	<div class="media-left">
                                	<div class="icon icon-danger">
                                    	<i class="ti ti-user"></i>
                                	</div>
                            	</div>
                            	<div class="media-body">
                                	<h5>Cadastro Grátis</h5>
                                	Não custa nada divulgar os melhores preços para todos
                            	</div>
                        	</div>
                        	<div class="media">
                            	<div class="media-left">
                                	<div class="icon icon-warning">
                                    	<i class="ti-bar-chart-alt"></i>
                                	</div>
                            	</div>
                            	<div class="media-body">
                                	<h5>Acompanhe seus gastos</h5>
                                	Visualizar suas as compras realizadas com emissão de NFCe de uma forma aprimorada
                            	</div>
                        	</div>
                    	</div>
                    	<div class="col-md-4">
                        	<h:form prependId="false">
                            	<div class="card card-plain">
                                	<div class="content">
                                    	<div class="form-group">
                                    		<h:inputText value="#{cadastroUsuarioBean.usuario.nome}" styleClass="form-control" pt:placeholder="Nome e Sobrenome"/>
                                    	</div>
                                    	<div class="form-group">
                                        	<h:inputText value="#{cadastroUsuarioBean.usuario.email}" styleClass="form-control" pt:placeholder="Endereço de E-mail"/>
                                    	</div>
                                    	<div class="form-group">
                                        	<h:inputSecret value="#{cadastroUsuarioBean.usuario.senha}" styleClass="form-control" pt:placeholder="Senha"/>
                                    	</div>
                                    	<div class="form-group">
                                        	<h:inputSecret value="#{cadastroUsuarioBean.usuario.senha}" styleClass="form-control" pt:placeholder="Confirmar Senha"/>
                                    	</div>                                    	
                                	</div>
                                	<div class="footer text-center">
                                    	<h:commandButton action="#{cadastroUsuarioBean.registrar}" value="Registrar" styleClass="btn btn-fill btn-danger btn-wd"/>                                    	
                                	</div>
                            	</div>
                        	</h:form>
                    	</div>
                	</div>
            	</div>
        	</div>

    		<footer class="footer footer-transparent">
            	<div class="container">
                	<div class="copyright text-center">
                    	Copyright 2018, Desenvolvido por <a href="https://www.linkedin.com/in/sanderson-sá-895a7617">Sanderson Sá</a>
                	</div>
            	</div>
        	</footer>
		</div>
	</div>
</h:body>

	<h:outputScript library="js" name="jquery-3.2.1.min.js" />
	<h:outputScript library="js" name="jquery-ui.min.js" />
    <h:outputScript library="js" name="bootstrap.min.js" />
	<h:outputScript library="js" name="bootstrap-notify.js" />
	<h:outputScript library="js" name="paper-dashboard.js" />
	
</html>